%define upstream_name    Log-Minimal
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Minimal but customizable logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Log::Minimal is Minimal but customizable log module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README.md LICENSE META.json 
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 531544
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 463920
- update to 0.16

* Wed May 29 2013 shlomif <shlomif> 0.150.0-1.mga4
+ Revision: 432467
- imported package perl-Log-Minimal


* Wed May 29 2013 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
